package eu.mhsl.craftattack.worldmuseum.listener;

import eu.mhsl.craftattack.worldmuseum.util.NewPlayer;
import eu.mhsl.craftattack.worldmuseum.util.ChangeWorld;
import eu.mhsl.craftattack.worldmuseum.worlds.World;
import eu.mhsl.craftattack.worldmuseum.worlds.WorldManager;
import net.minestom.server.event.inventory.InventoryPreClickEvent;

import java.util.Objects;
import java.util.function.Consumer;

public class InventoryClickListener implements Consumer<InventoryPreClickEvent> {
    @Override
    public void accept(InventoryPreClickEvent inventoryPreClickEvent) {
        NewPlayer p = (NewPlayer) inventoryPreClickEvent.getPlayer();
        WorldManager worldManager = WorldManager.getInstance();

        for (World w : worldManager.getWorlds()) {
            if (!w.getItem().equals(inventoryPreClickEvent.getClickedItem())) continue;
            if (Objects.equals(p.getInstance(), w)) {
                p.closeInventory();
                p.teleport(w.getSpawn());
            } else {
                p.closeInventory();
                ChangeWorld.changeWorld(p, w);
            }
        }
        inventoryPreClickEvent.setCancelled(true);
    }
}
