package eu.mhsl.craftattack.worldmuseum.temp;

import net.minestom.server.command.builder.Command;

public class GcCommand extends Command {
    private static long lastRun = System.currentTimeMillis();
    private static final Runtime runtime = Runtime.getRuntime();

    public GcCommand() {
        super("gc");

//        setCondition((sender, commandString) -> sender.hasPermission("admin"));

        setDefaultExecutor((sender, context) -> {
            long nextRun = (lastRun - (System.currentTimeMillis() - 30*1000)) / 1000;
            if(nextRun > 0) {
                sender.sendMessage("pls wait");
                //                new ChatMessage(Icon.ERROR).appendStatic("Please wait ").appendStatic(String.valueOf(nextRun)).appendStatic(" seconds before running GC again!").send(sender);
                return;
            }

            lastRun = System.currentTimeMillis();

            long before = getRamUsage();
            System.gc();
            long after = getRamUsage();

            sender.sendMessage("before: " + before + " now: " + after);
//            new ChatMessage(Icon.SUCCESS).appendStatic("Garbage collector ran successfully!").indent(1).newLine()
//                    .appendStatic("before: ").appendStatic(String.valueOf(before)).appendStatic("MB").newLine()
//                    .appendStatic("now: ").appendStatic(String.valueOf(after)).appendStatic("MB").indent(1).newLine()
//                    .appendStatic("difference: ").appendStatic(String.valueOf(before-after)).appendStatic("MB")
//                    .send(sender);
        });
    }
    public static long getRamUsage() {
        return (runtime.totalMemory() - runtime.freeMemory()) / 1024 / 1024;
    }
}
