package eu.mhsl.craftattack.worldmuseum.temp;

import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import net.minestom.server.MinecraftServer;
import net.minestom.server.adventure.audience.Audiences;
import net.minestom.server.entity.Player;
import net.minestom.server.monitoring.TickMonitor;

import java.util.Collection;
import java.util.concurrent.atomic.AtomicReference;

public class TablistUpdateTask implements Runnable {
    private static final Runtime runtime = Runtime.getRuntime();
    private static final AtomicReference<TickMonitor> lastTick = new AtomicReference<>();


    @Override
    public void run() {
        Collection<Player> players = MinecraftServer.getConnectionManager().getOnlinePlayers();
        if (players.isEmpty()) return;

        final Component header =
                Component.newline()
                        .append(Component.text("MineNet Network", NamedTextColor.GOLD))
                        .append(Component.newline()).append(Component.text("Players: " + players.size()))
                        .append(Component.newline())
                        .append(Component.newline()).append(Component.text("RAM: " + getRamUsage() + " MB", NamedTextColor.GRAY))
                        .append(Component.newline()).append(Component.text("TICK: " + getTickMonitor().getTickTime() + "ms", NamedTextColor.GRAY))
                        .append(Component.newline());

        final Component footer =
                Component.newline()
                        .append(Component.text("mhsl.eu"))
                        .append(Component.newline());

        Audiences.players().sendPlayerListHeaderAndFooter(header, footer);
    }
    public static long getRamUsage() {
        return (runtime.totalMemory() - runtime.freeMemory()) / 1024 / 1024;
    }
    public static TickMonitor getTickMonitor() {
        return lastTick.get() != null ? lastTick.get() : new TickMonitor(0, 0);
    }

}
