package eu.mhsl.craftattack.worldmuseum.util;

import eu.mhsl.craftattack.worldmuseum.worlds.World;
import net.minestom.server.potion.Potion;
import net.minestom.server.potion.PotionEffect;
public class ChangeWorld {
    public static void changeWorld(NewPlayer player, World targetWorld) {
        player.setAllowMovement(false);
        player.setAllowCompassUsage(false);
        player.addEffect(new Potion(PotionEffect.BLINDNESS, (byte) 0, 1000000));

        player.setRespawnPoint(targetWorld.getSpawn());
        player.setInstance(targetWorld, targetWorld.getSpawn()).thenRun(() -> {
            player.setAllowMovement(true);
            player.clearEffects();
            player.update_lastCompassUsage();
            player.setAllowCompassUsage(true);
        });
    }
}
