package eu.mhsl.craftattack.worldmuseum.listener;

import eu.mhsl.craftattack.worldmuseum.worlds.World;
import net.minestom.server.event.player.PlayerBlockPlaceEvent;

import java.util.Objects;
import java.util.function.Consumer;

public class BlockPlaceListener implements Consumer<PlayerBlockPlaceEvent> {
    @Override
    public void accept(PlayerBlockPlaceEvent playerBlockPlaceEvent) {
        playerBlockPlaceEvent.getPlayer().teleport(((World) Objects.requireNonNull(playerBlockPlaceEvent.getPlayer().getInstance())).getSpawn());
        playerBlockPlaceEvent.setCancelled(true);
    }
}
