package eu.mhsl.craftattack.worldmuseum.listener;

import net.minestom.server.event.player.PlayerChunkUnloadEvent;

import java.util.function.Consumer;

public class ChunkUnloading implements Consumer<PlayerChunkUnloadEvent> {
    @Override
    public void accept(PlayerChunkUnloadEvent e) {

        var chunk = e.getInstance().getChunk(e.getChunkX(), e.getChunkZ());
        if (chunk == null) return;

        if (chunk.getViewers().size() == 0) {
            try {
                e.getInstance().unloadChunk(e.getChunkX(), e.getChunkZ());
            } catch (NullPointerException ignored) {}
        }
    }
}
