package eu.mhsl.craftattack.worldmuseum.skins;

import net.minestom.server.MinecraftServer;
import net.minestom.server.entity.Player;
import net.minestom.server.entity.PlayerSkin;
import net.minestom.server.timer.ExecutionType;
import net.minestom.server.timer.TaskSchedule;

import java.util.HashMap;
import java.util.Map;

public class SkinCache {
    private static final Map<String, PlayerSkin> skins = new HashMap<>();

    public static void setSkin(Player p) {
        MinecraftServer.getSchedulerManager().scheduleTask(() -> {
            p.setSkin(skins.computeIfAbsent(p.getUsername(), PlayerSkin::fromUsername));
            System.out.println("Es sind jetzt " + skins.size() + " Skins im Cache.");
        }, TaskSchedule.immediate(), TaskSchedule.stop(), ExecutionType.ASYNC);
    }
}
